Search processing.org:

Reference for Processing version 1.0.1+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### mouseDragged()

Examples

    // Drag (click and hold) your mouse across the
    // image to change the value of the rectangle

    int value = 0;

    void draw() {
      fill(value);
      rect(25, 25, 50, 50);
    }

    void mouseDragged()
    {
      value = value + 5;
      if (value > 255) {
        value = 0;
      }
    }

Description | The mouseDragged() function is called once every time the mouse moves and a mouse button is pressed.

Syntax

    void mouseDragged() {
      statements
    }

Returns | None
Usage | Web & Application
Related | mouseX mouseY mousePressed mousePressed() mouseReleased() mouseMoved()

Updated on November 22, 2008 08:39:25pm PST